!function() {
    function t(t, e, a) {
        return e in t ? Object.defineProperty(t, e, {
            value: a,
            enumerable: !0,
            configurable: !0,
            writable: !0
        }) : t[e] = a, t;
    }
    function e(t, e, a) {
        return e in t ? Object.defineProperty(t, e, {
            value: a,
            enumerable: !0,
            configurable: !0,
            writable: !0
        }) : t[e] = a, t;
    }
    var a, n = require("data/list.js");
    App({
        onLaunch: function() {
            var t = wx.getStorageSync("logs") || [];
            t.unshift(Date.now()), wx.setStorageSync("logs", t);
            var e = wx.getStorageSync("logs") || [];
            e.unshift(Date.now()), wx.setStorageSync("logs", e);
        },
        showModal: function(t) {
            t.setData({
                showModalStatus: !0,
                msg: "请输入完整信息"
            }), setTimeout(function() {
                t.setData({
                    showModalStatus: !1
                });
            }, 1500);
        },
        init_city: function(t) {
            for (var e = this.globalData.city, a = [], n = 0; n < e.length; n++) a.push(e[n].s);
            t.setData({
                province: a,
                city: e[t.data.checkvalue4].c
            });
        },
        provinceChose: function(t, e) {
            var a = this.globalData.city;
            t.setData({
                checkvalue4: e.detail.value,
                checkvalue3: 0,
                city: a[e.detail.value].c,
                check3: !0
            });
        },
        bindPickerChange: function(t, a) {
            var n, o = a.currentTarget.id, i = "checkvalue" + o, c = "check" + o;
            t.setData((e(n = {}, c, !0), e(n, i, a.detail.value), n));
        },
        _get: function(t, e) {
            for (var a = t.split("&"), n = 0; n < a.length; n++) {
                var o = a[n].split("=");
                if (o[0]) return o[1];
            }
            return "";
        },
        globalData: (a = {
            userInfo: null,
            xzwdata: n.xzwdata,
            sxdata: n.sxdata,
            ysdata: n.ysdata,
            sxinfodata: n.sxinfodata,
            city: n.city,
            xz: n.xz,
            swidth: wx.getSystemInfoSync().windowWidth,
            sheight: wx.getSystemInfoSync().windowHeight,
            api_host: "https://api.xzw.com/com/json/",
            topNum: n.topNum,
            category: [ {
                id: 13,
                name: "人物",
                en: "renwu"
            }, {
                id: 8,
                name: "动物",
                en: "dongwu"
            }, {
                id: 7,
                name: "植物",
                en: "zhiwu"
            }, {
                id: 10,
                name: "物品",
                en: "wupin"
            }, {
                id: 9,
                name: "身体",
                en: "shenti"
            }, {
                id: 12,
                name: "生活",
                en: "shenghuo"
            }, {
                id: 14,
                name: "活动",
                en: "huodong"
            }, {
                id: 4,
                name: "自然",
                en: "ziran"
            }, {
                id: 11,
                name: "情爱",
                en: "qingai"
            }, {
                id: 6,
                name: "鬼神",
                en: "guishen"
            }, {
                id: 5,
                name: "建筑",
                en: "jianzhu"
            }, {
                id: 15,
                name: "其他",
                en: "qita"
            } ],
            collectArr: []
        }, t(a, "api_host", "https://api.xzw.com/com/json/"), t(a, "host", "https://apis.xzw.com"), 
        t(a, "zimuList", [ "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z" ]), 
        a),
        getOpenID: function() {
            var t = "";
            try {
                t = swan.getStorageSync("openID");
            } catch (t) {
                t = VM2_INTERNAL_STATE_DO_NOT_USE_OR_PROGRAM_WILL_FAIL.handleException(t);
                console.log(t);
            }
            return t;
        },
        setOpenID: function(t) {
            try {
                swan.setStorageSync("openID", t);
            } catch (t) {}
        },
        getUrl: function(t) {
            return this.globalData.host + t;
        },
        textareaInput: function(t, e) {
            console.log(t.detail.value), e.setData({
                jmvalue: t.detail.value
            });
        },
        group: function(t, e) {
            for (var a = 0, n = []; a < t.length; ) n.push(t.slice(a, a += e));
            return n;
        },
        request: function(t, e) {
            t.vc = "wxcode", t.token = "Mdozp+aZobSxaPO0JeKiKmRsHFw", wx.request({
                url: this.globalData.api_host + "jiemeng.js",
                method: "GET",
                dataType: "json",
                async: !1,
                data: t,
                header: {
                    "content-type": "application/json"
                },
                success: function(t) {
                    200 == t.data.code && "function" == typeof e && e(t.data.data);
                }
            });
        },
        onPageScroll: function(t, e) {
            t.scrollTop > 600 ? e.setData({
                showGoTop: !0
            }) : e.setData({
                showGoTop: !1
            });
        },
        scrollToTop: function(t) {
            wx.pageScrollTo({
                scrollTop: 0,
                duration: 1e3,
                success: function() {
                    t.setData({
                        showGoTop: !1
                    });
                }
            });
        }
    });
}();